//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.01.21 at 01:53:00 PM IST 
//


package com.incred.janus.models.cibil.request.applicationData;

import com.fasterxml.jackson.annotation.JsonProperty;

import javax.xml.bind.annotation.*;


/**
 * <p>Java class for ApplicationDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ApplicationDataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Purpose" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="Amount" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="ScoreType" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="GSTStateCode" type="{http://www.w3.org/2001/XMLSchema}byte"/>
 *         &lt;element name="MemberCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Password" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="CibilBureauFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="DSTuNtcFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="IDVerificationFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MFIBureauFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="NTCProductType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ConsumerConsentForUIDAIAuthentication" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MFIEnquiryAmount" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MFILoanPurpose" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MFICenterReferenceNo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="MFIBranchReferenceNo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="FormattedReport" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ApplicationDataType", propOrder = {
    "purpose",
    "amount",
    "scoreType",
    "gstStateCode",
    "memberCode",
    "password",
    "cibilBureauFlag",
    "dsTuNtcFlag",
    "idVerificationFlag",
    "mfiBureauFlag",
    "ntcProductType",
    "consumerConsentForUIDAIAuthentication",
    "mfiEnquiryAmount",
    "mfiLoanPurpose",
    "mfiCenterReferenceNo",
    "mfiBranchReferenceNo",
    "formattedReport"
})
@XmlRootElement(name = "ApplicationData")
public class ApplicationDataType {

    @XmlElement(name = "Purpose")
    private int purpose;

    @XmlElement(name = "Amount")
    private int amount;

    @XmlElement(name = "ScoreType")
    private byte scoreType;

    @XmlElement(name = "GSTStateCode")
    private byte gstStateCode;

    @XmlElement(name = "MemberCode", required = true)
    private String memberCode;

    @XmlElement(name = "Password", required = true)
    private String password;

    @XmlElement(name = "CibilBureauFlag", required = true)
    private String cibilBureauFlag;

    @JsonProperty("dsTuNtcFlag")
    @XmlElement(name = "DSTuNtcFlag", required = true)
    private String dsTuNtcFlag;

    @JsonProperty("idVerificationFlag")
    @XmlElement(name = "IDVerificationFlag", required = true)
    private String idVerificationFlag;

    @JsonProperty("mfiBureauFlag")
    @XmlElement(name = "MFIBureauFlag", required = true)
    private String mfiBureauFlag;

    @JsonProperty("ntcProductType")
    @XmlElement(name = "NTCProductType", required = true)
    private String ntcProductType;

    @XmlElement(name = "ConsumerConsentForUIDAIAuthentication", required = true)
    private String consumerConsentForUIDAIAuthentication;

    @JsonProperty("mfiEnquiryAmount")
    @XmlElement(name = "MFIEnquiryAmount", required = true)
    private String mfiEnquiryAmount;

    @JsonProperty("mfiLoanPurpose")
    @XmlElement(name = "MFILoanPurpose", required = true)
    private String mfiLoanPurpose;

    @JsonProperty("mfiCenterReferenceNo")
    @XmlElement(name = "MFICenterReferenceNo", required = true)
    private String mfiCenterReferenceNo;

    @JsonProperty("mfiBranchReferenceNo")
    @XmlElement(name = "MFIBranchReferenceNo", required = true)
    private String mfiBranchReferenceNo;

    @XmlElement(name = "FormattedReport", required = true)
    private String formattedReport;

    /**
     * Gets the value of the purpose property.
     * 
     */
    public int getPurpose() {
        return purpose;
    }

    /**
     * Sets the value of the purpose property.
     * 
     */
    public void setPurpose(byte value) {
        this.purpose = value;
    }

    /**
     * Gets the value of the amount property.
     * 
     */
    public int getAmount() {
        return amount;
    }

    /**
     * Sets the value of the amount property.
     * 
     */
    public void setAmount(int value) {
        this.amount = value;
    }

    /**
     * Gets the value of the scoreType property.
     * 
     */
    public byte getScoreType() {
        return scoreType;
    }

    /**
     * Sets the value of the scoreType property.
     * 
     */
    public void setScoreType(byte value) {
        this.scoreType = value;
    }

    /**
     * Gets the value of the gstStateCode property.
     * 
     */
    public byte getGSTStateCode() {
        return gstStateCode;
    }

    /**
     * Sets the value of the gstStateCode property.
     * 
     */
    public void setGSTStateCode(byte value) {
        this.gstStateCode = value;
    }

    /**
     * Gets the value of the memberCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberCode() {
        return memberCode;
    }

    /**
     * Sets the value of the memberCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberCode(String value) {
        this.memberCode = value;
    }

    /**
     * Gets the value of the password property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassword() {
        return password;
    }

    /**
     * Sets the value of the password property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Gets the value of the cibilBureauFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCibilBureauFlag() {
        return cibilBureauFlag;
    }

    /**
     * Sets the value of the cibilBureauFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCibilBureauFlag(String value) {
        this.cibilBureauFlag = value;
    }

    /**
     * Gets the value of the dsTuNtcFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDSTuNtcFlag() {
        return dsTuNtcFlag;
    }

    /**
     * Sets the value of the dsTuNtcFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDSTuNtcFlag(String value) {
        this.dsTuNtcFlag = value;
    }

    /**
     * Gets the value of the idVerificationFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIDVerificationFlag() {
        return idVerificationFlag;
    }

    /**
     * Sets the value of the idVerificationFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIDVerificationFlag(String value) {
        this.idVerificationFlag = value;
    }

    /**
     * Gets the value of the mfiBureauFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMFIBureauFlag() {
        return mfiBureauFlag;
    }

    /**
     * Sets the value of the mfiBureauFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMFIBureauFlag(String value) {
        this.mfiBureauFlag = value;
    }

    /**
     * Gets the value of the ntcProductType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNTCProductType() {
        return ntcProductType;
    }

    /**
     * Sets the value of the ntcProductType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNTCProductType(String value) {
        this.ntcProductType = value;
    }

    /**
     * Gets the value of the consumerConsentForUIDAIAuthentication property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsumerConsentForUIDAIAuthentication() {
        return consumerConsentForUIDAIAuthentication;
    }

    /**
     * Sets the value of the consumerConsentForUIDAIAuthentication property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsumerConsentForUIDAIAuthentication(String value) {
        this.consumerConsentForUIDAIAuthentication = value;
    }

    /**
     * Gets the value of the mfiEnquiryAmount property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMFIEnquiryAmount() {
        return mfiEnquiryAmount;
    }

    /**
     * Sets the value of the mfiEnquiryAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMFIEnquiryAmount(String value) {
        this.mfiEnquiryAmount = value;
    }

    /**
     * Gets the value of the mfiLoanPurpose property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMFILoanPurpose() {
        return mfiLoanPurpose;
    }

    /**
     * Sets the value of the mfiLoanPurpose property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMFILoanPurpose(String value) {
        this.mfiLoanPurpose = value;
    }

    /**
     * Gets the value of the mfiCenterReferenceNo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMFICenterReferenceNo() {
        return mfiCenterReferenceNo;
    }

    /**
     * Sets the value of the mfiCenterReferenceNo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMFICenterReferenceNo(String value) {
        this.mfiCenterReferenceNo = value;
    }

    /**
     * Gets the value of the mfiBranchReferenceNo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMFIBranchReferenceNo() {
        return mfiBranchReferenceNo;
    }

    /**
     * Sets the value of the mfiBranchReferenceNo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMFIBranchReferenceNo(String value) {
        this.mfiBranchReferenceNo = value;
    }

    /**
     * Gets the value of the formattedReport property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormattedReport() {
        return formattedReport;
    }

    /**
     * Sets the value of the formattedReport property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormattedReport(String value) {
        this.formattedReport = value;
    }

}
